/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.officehonor.entity;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.common.collect.Lists;
import com.jeeplus.modules.sys.entity.Office;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workclientinfo.entity.WorkClientAttachment;

/**
 * 企业荣誉Entity
 * @author liuw
 * @version 2017-12-05
 */
public class Officehonor extends DataEntity<Officehonor> {
	//附件110    //编号模板24
	public static final String SERIAL_BIZCODE = "24";
	private static final long serialVersionUID = 1L;
	private String honorType;		// 荣誉类型
	private Date issuedDate;		// 颁发日期
	private String issuedAgency;		// 颁发机构
	private Office office;		// 企业外键
	private String companyId;  //公司ID
	private Date uploadDate; //上传日期
	private String name;   //荣誉名称
	private String 	companyName;  //公司名称
	private String num;  //编号（公司简称+4位流水）
	private List<WorkClientAttachment> workAttachments = Lists.newArrayList(); //附件
	//临时属性
	private String url;
	private String uName;

	/*-----------暂弃----------*/
	private String content;		// 获奖内容
	private String userName;		// 获奖人员
	private String proveFile;		// 证明文件
	private String filePlace;		// 文件存放地
	private String image;		// 图片

	public Officehonor() {
		super();
	}

	public Officehonor(String id){
		super(id);
	}

	@ExcelField(title="荣誉类型", dictType="honor_type", align=2, sort=7)
	public String getHonorType() {
		return honorType;
	}

	public void setHonorType(String honorType) {
		this.honorType = honorType;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="颁发日期", align=2, sort=8)
	public Date getIssuedDate() {
		return issuedDate;
	}

	public void setIssuedDate(Date issuedDate) {
		this.issuedDate = issuedDate;
	}
	
	@ExcelField(title="获奖内容", align=2, sort=9)
	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}
	
	@ExcelField(title="颁发机构", align=2, sort=10)
	public String getIssuedAgency() {
		return issuedAgency;
	}

	public void setIssuedAgency(String issuedAgency) {
		this.issuedAgency = issuedAgency;
	}
	
	@ExcelField(title="获奖人员", align=2, sort=11)
	public String getUserName() {
		return userName;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}
	
	@ExcelField(title="证明文件", align=2, sort=12)
	public String getProveFile() {
		return proveFile;
	}

	public void setProveFile(String proveFile) {
		this.proveFile = proveFile;
	}
	
	@ExcelField(title="文件存放地", align=2, sort=13)
	public String getFilePlace() {
		return filePlace;
	}

	public void setFilePlace(String filePlace) {
		this.filePlace = filePlace;
	}
	
	@ExcelField(title="图片", align=2, sort=14)
	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}
	
	@ExcelField(title="企业外键", align=2, sort=15)
	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}

	public Date getUploadDate() {
		return uploadDate;
	}

	public void setUploadDate(Date uploadDate) {
		this.uploadDate = uploadDate;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}

	public List<WorkClientAttachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<WorkClientAttachment> workAttachments) {
		this.workAttachments = workAttachments;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getuName() {
		return uName;
	}

	public void setuName(String uName) {
		this.uName = uName;
	}
}